version: '3.7'
services:
  bookstack:
    image: ${IMAGE_BOOKSTACK}
    container_name: ${CONTAINER_NAME_BOOKSTACK}
    restart: always
    environment:
      - PUID=1000
      - PGID=1000
      - DB_HOST=mariadb-bookstack
      - DB_USER=${DB_USER}
      - DB_PASS=${DB_PASS}
      - DB_DATABASE=${DB_DATABASE}
      - APP_URL=${DOMAIN_TLD}
    ports:
      - 80
    depends_on:
      - mariadb-bookstack  
     # PARTIE TRAEFIK 
    networks:
      - web # <== Placing traefik on the network named web, to access containers on this network
      - db_bookstack
    volumes:
      - "/etc/timezone:/etc/timezone:ro" # meme timezone que l hote
      - "/etc/localtime:/etc/localtime:ro"
      - .volumes/bookstack/:config:rw
    labels:
      - "traefik.enable=true" # <== Activation traefik     
      - "traefik.http.routers.${TRAEFIK_ROUTERS_NAME}.rule=Host(`${DOMAIN_TLD}`)" # <== On set le domain name pour le dashboard
      - "traefik.http.routers.${TRAEFIK_ROUTERS_NAME}.entrypoints=websecure" #on force le routing sur l HTTPS (nomme websecure)
  
  mariadb-bookstack:
    image: ${IMAGE_MARIADB}
    container_name: ${CONTAINER_NAME_MARIADB}
    restart: always
    environment:
      #- ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_ROOT_PASSWORD=${MARIADB_ROOT_PASSWORD}
      - MARIADB_USER=${DB_USER}
      - MARIADB_PASSWORD=${DB_PASS}
      - MARIADB_DATABASE=${DB_DATABASE}
    volumes:
      - ./volumes/mariadb/mariadb_data:/var/lib/mysql
    networks :
      - db_bookstack 
networks:
  web:
    external: true
  db_bookstack:
    external: true  
